Package org.optaplanner.persistence.xstream.api.score

## Class AbstractScoreXStreamConverter

- java.lang.Object
- - org.optaplanner.persistence.xstream.api.score.AbstractScoreXStreamConverter

- All Implemented Interfaces:
    `com.thoughtworks.xstream.converters.Converter`, `com.thoughtworks.xstream.converters.ConverterMatcher`
  Direct Known Subclasses:
    `BendableBigDecimalScoreXStreamConverter`, `BendableLongScoreXStreamConverter`, `BendableScoreXStreamConverter`, `HardMediumSoftBigDecimalScoreXStreamConverter`, `HardMediumSoftLongScoreXStreamConverter`, `HardMediumSoftScoreXStreamConverter`, `HardSoftBigDecimalScoreXStreamConverter`, `HardSoftDoubleScoreXStreamConverter`, `HardSoftLongScoreXStreamConverter`, `HardSoftScoreXStreamConverter`, `SimpleBigDecimalScoreXStreamConverter`, `SimpleDoubleScoreXStreamConverter`, `SimpleLongScoreXStreamConverter`, `SimpleScoreXStreamConverter`

      public abstract class AbstractScoreXStreamConverter
      extends Object
      implements com.thoughtworks.xstream.converters.Converter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractScoreXStreamConverter()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `registerScoreConverters​(com.thoughtworks.xstream.XStream xStream)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.thoughtworks.xstream.converters.Converter

      `marshal, unmarshal`

    - ### Methods inherited from interface com.thoughtworks.xstream.converters.ConverterMatcher

      `canConvert`

- - ### Constructor Detail

    - #### AbstractScoreXStreamConverter

          public AbstractScoreXStreamConverter()

  - ### Method Detail

    - #### registerScoreConverters

          public static void registerScoreConverters​(com.thoughtworks.xstream.XStream xStream)